QGIS Application - Feature request #2719
add file manager
2010-05-14 07:21 PM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 12779
Description

It could be good to add, possibly as a plugin, a file manager, who will allow to delete and rename files even for formats that are composed
of multiple files (e.g. shapefiles, tif+tfw)

History

#1 - 2010-05-14 11:42 PM - Alexander Bruy

I'm not sure, but some time ago Garry Sherman announce his [[GeoApt]] Data Browser (http://geoapt.com/geoapt-data-browser) and say that in future it
will be integrated into QGIS.

Also there is a wxGIS project (http://code.google.com/p/wxgis/) which include wxCatalog - an [[ArcCatalog]]-like application. wxCatalog can manage

formats that are composed from multiple files and support drag'n'drop in QGIS.

#2 - 2010-05-15 12:55 AM - Paolo Cavallini

An integrated solution would be far more attractive for most users

#3 - 2011-03-07 01:09 PM - Anne Ghisla

What about QGIS File Browser plugin? It lacks editing capabilites but it's a great improvement.

#4 - 2011-07-07 08:20 PM - Alister Hood

What about QGIS File Browser plugin?

File management operations could be implemented in that and/or in the Qbrowser standalone app which comes with QGIS now.

#5 - 2011-08-23 01:41 AM - Borys Jurgiel

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee changed from Borys Jurgiel to Martin Dobias
- Resolution set to fixed

| think we can close it now.
